Subject: Re: bug#14881: 24.3.50; Odd cursor movement with images (or lines with different heights?)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Jul 2013 19:52:13 +0300

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 18 Jul 2013 15:57:15 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > C-n doesn't always take you to the next line since Emacs 22, and not
> > only with tall images.
> 
> Well...  I'm using a lot of modes with (small) images in them, and `C-n'
> has mostly taken me to the next line.  There's been some corner cases if
> point was actually on an image, but it's mostly worked.  

You've been lucky, that's all.  Depending on how the lines and pixels
turn out, and also whether you have something line global-hl-line-mode
frobbing your post-command-hook, you can see either vscroll or
scroll-up being done by C-n, instead of going to the next line.

> However, there's a new (well, different) tiny problem with `C-n' now.
> In the test buffer, go to the first line and press `C-n' until point is
> at the last line in the buffer.  Press `C-n' again.  Point goes to the
> next line, but the buffer is only scrolled up two lines instead of the
> more natural four (perhaps).

I cannot reproduce this.  Is this in "emacs -Q"?  If so, how many
complete images do you see in the window before the C-n that scrolls two lines
instead of 4, and is there a partially-visible image at the bottom
(and if so, which part of it is visible)?

If this is not in "emacs -Q", I suspect that some scroll-* option was
customized to cause this.  Which one, and how did you customize it?